/**********************************************************
*
*	FILE				: db_demo.h
*
*	AUTHOR			: Axiom Manufacturing
*						  Mar 2009    					     
*
*	PURPOSE			: Motor Control Demonstration for HY64 based on 
*						  MC10B8CV1 Motor Controller Block Description
*						  
**********************************************************/

#ifndef _DB_DEMO_H_
#define _DB_DEMO_H_


// Defines
#define MENU_SW		PT1AD_PT1AD5
#define RIGHT_SW		PT1AD_PT1AD6
#define LEFT_SW		PT1AD_PT1AD7

#define TRANSDEMO		1
#define TEMPDEMO		2
#define ODODEMO		4
#define FCDEMO			8

#define L_TURN_LED	PTR_PTR0
#define R_TURN_LED	PTR_PTR1
#define H_BEAM_LED	PTR_PTR2

#define MPH_LED		PTS_PTS4
#define RPM_LED		PTS_PTS5
#define FUEL_LED		PTS_PTS6
#define TEMP_LED		PTR_PTR3

#define LOFF			0x01
#define LON				0x00

#define LEDS_OFF		PTR_PTR0 = 1, PTR_PTR1 = 1, PTR_PTR2 = 1, PTR_PTR3;


// Prototypes
void dashboard_init(void);
void ignition_off(void);
byte ignition_status(void);
void right_turn_ctl(void);			// right turn signal control
void left_turn_ctl(void);			// left turn signal control

void dashboard_demo(byte st);


 // Global variables
extern byte l_sw_st;				// left turn signal switch status
extern byte r_sw_st;				// right turn signal switch status
extern byte m_sw_st;				// menu switch switch status
extern byte ign_st;				// ignition switch state
extern byte menu_sw_st;

#endif	// _DB_DEMO_H_