/**********************************************************
*
*	FILE				: main.c
*
*	AUTHOR			: Axiom Manufacturing
*						  Feb 2009    					     
*
*	PURPOSE			: Motor Control Demonstration for HY64 based on 
*						  MC10B8CV1 Motor Controller Block Description
*						  
*	This demo is specifically design for VID23-05 stepper motor.
*  Using a different motor may require code modification.
*
*	This demo moves motor to zero positon then moves pointer thru
*	full motor range in clock-wise (CW) and counter clock-wise (CCW)
*	directions alternately.
* 
**********************************************************/
#include <hidef.h>					// common defines and macros
#include <mc9s12hy64.h>				// derivative information
#include "cpu.h"						// MCU configuration functions
#include "motor_drv.h"				// Motor Controller functions
#include "lcddrv.h"					// LCD module functions
#include "db_demo.h"					// Dashboard Cluster Demo Board Functions
#include "lcd_demo.h"				// LCD demo functions


// Global Variables
byte l_sw_st;
byte r_sw_st;
byte m_sw_st;
byte motor_dir;
byte kbi_state;
byte ign_st;
byte menu_sw_st;


void main(void) {

	mcu_init();							// init HY64 for dashboard demo 
	MC_init();							// init motor controller for VID23-05 motor
	dashboard_init();					// init board functions

	Set_Logo(ON, ON, ON, ON, ON);
	MC_motor_leds(ON);				// motor LEDs ON
	dashboard_demo(0);				// start demo

	for(;;){}
}
